image:
  name: nikazhenya/pecas-pandoc
  entrypoint: ["/bin/sh", "-c"]
pages:
  stage: deploy
  before_script:
    - git remote set-url origin https://$GIT_CI_USER:$GIT_CI_PASS@gitlab.com/$CI_PROJECT_PATH.git
    - git config --global user.email "bot@perro.tuerto"
    - git config --global user.name "Perro en la Matrix"
    - git fetch
    - git checkout v1
    - git pull origin v1
  script:
    - ruweb $MD_URL
  after_script:
    - git add .
    - git commit -m 'Multipublicación automatizada realizada.'
    - git push --follow-tags origin v1
  artifacts:
    paths:
      - public
  only:
    - master

